> ## Documentation Index
> Fetch the complete documentation index at: https://d5230a4b-1863-416c-9734-f7107bff3756.bluelayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# POST RFQ

> Create Request For Quote as a channel



## OpenAPI

````yaml post /v1/orgs/{orgName}/channels/{channelSlug}/rfqs
openapi: 3.1.0
info:
  title: External API for channels
  description: BlueLayer external API for channels
  version: '2'
servers:
  - url: https://api.connect.bluelayer.tech
security: []
paths:
  /v1/orgs/{orgName}/channels/{channelSlug}/rfqs:
    post:
      description: Creates an RFQ (Request for Quote) for multiple listings
      parameters:
        - schema:
            type: string
          in: path
          name: orgName
          required: true
        - schema:
            type: string
          in: path
          name: channelSlug
          required: true
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: false
              type: object
              properties:
                listingIds:
                  minItems: 1
                  type: array
                  items:
                    format: uuid
                    description: Listings that the RFQ is addressing
                    type: string
                buyerDescription:
                  description: Buyer description
                  examples:
                    - >-
                      This is a short description of the buyer, which will give
                      context to the project developer when answering
                  type: string
                reference:
                  description: The channel's reference to this request
                  examples:
                    - 1b5100e62ed2
                  type: string
                contractType:
                  enum:
                    - spot
                    - forward
                  type: string
                fulfilmentMethod:
                  enum:
                    - transfer
                    - retirement
                    - assignment
                  type: string
                fulfilmentDueDate:
                  format: date
                  description: The date by which the credits should be fulfilled
                  examples:
                    - '2026-01-20'
                  type: string
                minVolume:
                  description: Minimum volume of credits requested
                  examples:
                    - 1000
                  minimum: 1
                  type: number
                maxVolume:
                  description: Maximum volume of credits requested
                  examples:
                    - 5000
                  minimum: 1
                  type: number
                pricing:
                  additionalProperties: false
                  type: object
                  properties:
                    minUnitPrice:
                      description: Minimum price per credit (with decimals)
                      examples:
                        - 10.5
                      minimum: 0
                      type: number
                    maxUnitPrice:
                      description: Maximum price per credit (with decimals)
                      examples:
                        - 20
                      minimum: 0
                      type: number
                    currency:
                      enum:
                        - USD
                        - EUR
                        - AUD
                        - GBP
                        - SGD
                      type: string
                  required:
                    - currency
                reportingPeriodStart:
                  format: date
                  description: Vintage start date
                  examples:
                    - '2026-01-20'
                  type: string
                reportingPeriodEnd:
                  format: date
                  description: Vintage end date
                  examples:
                    - '2026-01-20'
                  type: string
                minVintageYear:
                  description: Minimum vintage year, or 'Any' if no minimum
                  examples:
                    - Any
                  anyOf:
                    - type: string
                      enum:
                        - Any
                    - minimum: 2010
                      maximum: 2050
                      type: number
                maxVintageYear:
                  description: Maximum vintage year, or 'Any' if no maximum
                  examples:
                    - 2020
                  anyOf:
                    - type: string
                      enum:
                        - Any
                    - minimum: 2010
                      maximum: 2050
                      type: number
                reasonForPurchase:
                  enum:
                    - buyToRetire
                    - buyToSell
                    - other
                  type: string
                additionalRequirements:
                  description: Any additional requirements for the RFQ
                  examples:
                    - >-
                      Credits must be from projects verified by Verra and must
                      have a minimum of 10 years of crediting period left.
                  type: string
                responseDueDate:
                  type: string
                  format: date
                  description: The date by which the response is due
                  examples:
                    - '2026-01-20'
              required:
                - listingIds
                - contractType
                - minVolume
                - maxVolume
                - minVintageYear
                - maxVintageYear
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                required:
                  - id
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 400
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 403
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 500
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````